package com.ztmap.common.constant;

public enum SupportDataType {
	ShapeType {
		@Override
		public String toString() {
			return "ShapeType";
		}
	},
	StringType {
		@Override
		public String toString() {
			return "StringType";
		}
	},
	NumberType {
		@Override
		public String toString() {
			return "NumberType";
		}
	},
	DateType {
		@Override
		public String toString() {
			return "DateType";
		}
	},
	TimeType {
		@Override
		public String toString() {
			return "TimeType";
		}
	};
	public abstract String toString();
	public static SupportDataType fromString(String name){
		if("NumberType".equals(name)){
			return NumberType;
		}
		if("DateType".equals(name)){
			return DateType;
		}
		if("TimeType".equals(name)){
			return TimeType;
		}
		if("StringType".equals(name)){
			return StringType;
		}
		if("ShapeType".equals(name)){
			return ShapeType;
		}
		return null;
		
	}
}
